package adt.mainnode.dto;

import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
public class Query {

    private String query;
    private String type;
    private String token;

    public String getQuery() {
        return query;
    }

    public void setQuery(String query) {
        this.query = query;
    }


    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }


    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public static Query createQuery(String query, String type, String token) {
        Query q = new Query();

        q.setQuery(query);
        q.setType(type);

        q.setToken(token);

        return q;
    }
}
