package adt.mainnode.identity;

import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Id;

@Embeddable
@Data
@NoArgsConstructor
public class ScanInfoIdentity implements Serializable {

    @Id
    @Column(name = "vlanName")
    private String vlanName;

    @Id
    @Column(name = "snapshotId")
    private String snapshotId;

    public static ScanInfoIdentity createScanInfoIdentity(String vlanName, String snapshotId) {
        ScanInfoIdentity scanInfoIdentity  = new ScanInfoIdentity();
        scanInfoIdentity.setVlanName(vlanName);
        scanInfoIdentity.setSnapshotId(snapshotId);
        return scanInfoIdentity;
    }

}
