package adt.mainnode.repository;

import adt.mainnode.entity.Credentials;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface CredentialsRepository extends JpaRepository<Credentials, String>{

    Credentials findByToken(String token);
    Credentials findByName(String name);
    @Transactional
    void deleteByName(String name);

}
