package adt.mainnode.repository;


import adt.mainnode.entity.Vlan;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import org.springframework.transaction.annotation.Transactional;


public interface VlanRepository extends JpaRepository<Vlan, String> {

    //List<VlanInterface> findAllBy();
    Vlan findByVlanName(String vlanName);
    Vlan findByNetAddress(String netAddress);
    List<Vlan> findAllByDistributedNodeId(String distributedNodeId);
    @Transactional
    void deleteByVlanName(String vlanName);

}
