<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<html lang="en">
<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

  <link href="webjars/bootstrap/4.1.3/css/bootstrap.min.css" rel="stylesheet">
  <title>Login</title>
</head>
<body>

<script language="javascript">

function validateForm()
{

   var signFlag = document.getElementById("span_id").innerHTML;

   var flag = true;

   var names = ["formEmail", "formPass"];

   if(signFlag == "true"){
    names.push("formPass_confirmation");
   }
   var forms = document.forms["myForm"];

   names.forEach(function(name) {

     var x = forms[name].value;

     if(x==null || x==""){

         flag = false;

         document.getElementById(name+'_message').style.visibility="visible";
         document.getElementById(name+'_message').style.color="crimson";
         document.getElementById(name+'_message').innerHTML="This field must not be empty.";
         document.getElementById(name).style.borderColor="red";


     }else{

         document.getElementById(name+'_message').style.visibility="";
         document.getElementById(name+'_message').innerHTML="";
         document.getElementById(name).style.borderColor="";

         if(name == "formEmail" &&  ! (/^[^\s@]+@[^\s@]+\.[^\s@]+$/.test(x)) ){

            flag = false;

             document.getElementById(name+'_message').style.visibility="visible";
             document.getElementById(name+'_message').style.color="crimson";
             document.getElementById(name+'_message').innerHTML="The provided email format is not valid.";
             document.getElementById(name).style.borderColor="red";

         }
         if(signFlag == "true" && (name == "formPass" && x != forms["formPass_confirmation"].value) || (name == "formPass_confirmation" && x != forms["formPass"].value) ){

            console.log(".");
            flag = false;

            document.getElementById('formPass_confirmation_message').style.visibility="visible";
             document.getElementById('formPass_confirmation_message').style.color="crimson";
             document.getElementById('formPass_confirmation_message').innerHTML="The provided passwords do not match.";
             document.getElementById('formPass_confirmation').style.borderColor="red";

          }

     }
   });

    return flag;

}


</script>

<div class="jumbotron">
      <img src="/resources/banner.png" />

  <h1 id="signHeader1">Sign-in menu</h1>
  <h2 id="signHeader2">It is your first usage of CUREX-ADT software! Please, provide your log in details to register an administrator account (it will be unique).</h2>
</div>
<div class="container">
  <div class="row">

    <form:form method="POST" action="/curex/admin" modelAttribute="credentials" name="myForm" onsubmit="return validateForm()" >

      <div class="form-group">
        <label for="email">E-Mail</label>
        <form:input path="email" id="formEmail" cssClass="form-control" />
        <td> <label class="message" id="formEmail_message"></td>

      </div>

      <div class="form-group">
        <label for="password">Password</label>
        <form:password path="password" id="formPass" cssClass="form-control" />
        <td> <label class="message" id="formPass_message"></td>

      </div>

      <div class="form-group">
          <label id="passConfirmLabel" for="password_confirm">Confirm Password</label>
          <form:password path="" id="formPass_confirmation" cssClass="form-control" />
          <td> <label class="message" id="formPass_confirmation_message"></td>

        </div>

      <form:button class="btn btn-primary" id="submitButton" >Sign in</form:button>

    </form:form>

  </div>


    <span id="span_id" style="display: none">${flag_signIn}</span>


  <!--- check login status and display message -->

  <div class="row">
    <% Object status = session.getAttribute("loginStatus");
      if ("OK".equals(status)) { %>
    <div class="alert alert-success" role="alert">
      Congratulations! Login successfully.
    </div>
    <% }
      if ("FAILED".equals(status)) { %>
    <div class="alert alert-danger" role="alert">
      Login failed. Please, try again.
    </div>
    <% } %>
  </div>
</div>
<script src="webjars/bootstrap/4.1.3/js/bootstrap.min.js"></script>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
<script src="https://code.jquery.com/ui/1.11.1/jquery-ui.min.js"></script>

<script language="javascript">
$(function() {

    var signFlag = document.getElementById("span_id").innerHTML;

    console.log(signFlag);

    if(signFlag == "false"){

        document.getElementById("submitButton").innerHTML = "Log in";
        document.getElementById("signHeader1").innerHTML = "Log-in menu";
        document.getElementById("signHeader2").innerHTML = "Welcome to your CUREX-ADT application menu. Please, provide your administrator credentials.";

        document.getElementById("passConfirmLabel").style.display = "none";
        document.getElementById("formPass_confirmation").style.display = "none";
    }

});


</script>


</body>
</html>