<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<html lang="en">
<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

  <link href="webjars/bootstrap/4.1.3/css/bootstrap.min.css" rel="stylesheet">
  <title>PDF Report Download </title>

</head>
<body>

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
<script src="https://code.jquery.com/ui/1.11.1/jquery-ui.min.js"></script>

<link rel="stylesheet" href="https://code.jquery.com/ui/1.11.1/themes/smoothness/jquery-ui.css" />

<div class="jumbotron">
  <h1>PDF Report Download Menu</h1>
  <a href="<core:url value='/curex/admin' />" style="float:left; padding-top:2%" >Previous Page</a>
</div>
<div class="container">
  <div class="row">

 <c:set var="count" value="0" scope="page" />
    <form:form method="POST" action="/curex/report" modelAttribute="allSnapshots">
<br>
<form:button class="btn btn-primary" id="submitButton" style="margin-bottom:30px">Download</form:button>
        <table border="1">
           <thead>

                <th style="text-align: center;">Node ID</th>
               <th style="text-align: center;">Snapshot Timestamp</th>
               <th style="text-align: center;">Download</th>

           </thead>

           <tbody>

       <c:forEach items="${allSnapshots}" var="item">

                 <tr>
                    <td style="padding-left:15px; padding-right:15px">${item.nodeId}</td>
                   <td style="padding-left:15px; padding-right:15px">${item.timestamp_mainNode}</td>
                   <TD><INPUT type="checkbox" name="checker" value=${item.snapshotId} style="margin-left:30px"/></TD>
                 </tr>

       </c:forEach>

    </tbody>
  </table>


      </form:form>

<script src="webjars/bootstrap/4.1.3/js/bootstrap.min.js"></script>

</body>
</html>