<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="core" uri="http://java.sun.com/jsp/jstl/core" %>
<html lang="en">
<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <link href="webjars/bootstrap/4.1.3/css/bootstrap.min.css" rel="stylesheet">
  <title>Visualization Service</title>
</head>
<body>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>

<script language="javascript">

function validateForm()
{

   var flag = true;

   var names = ["formVisualToken"];

   var forms = document.forms["myForm"];

   names.forEach(function(name) {

     var x = forms[name].value;

     if(x==null || x==""){

         flag = false;

         document.getElementById(name+'_message').style.visibility="visible";
         document.getElementById(name+'_message').style.color="crimson";
         document.getElementById(name+'_message').innerHTML="This field must not be empty.";
         document.getElementById(name).style.borderColor="red";

     }else{
         document.getElementById(name+'_message').style.visibility="";
          document.getElementById(name+'_message').style.color="";
          document.getElementById(name+'_message').innerHTML="";
          document.getElementById(name).style.borderColor="";
      }
   });

    return flag;

}

$(function() {

    document.getElementById('formVisualToken_message').style.visibility="";
    document.getElementById('formVisualToken_message').style.color="";
    document.getElementById('formVisualToken_message').innerHTML="";
    document.getElementById('formVisualToken').style.borderColor="";

});

</script>

<div class="jumbotron">
  <h1 id="signHeader1">Visualization Service menu</h1>


      <% Object logged = session.getAttribute("loginStatus");
        if ("OK".equals(logged)) { %>
      <a href="<core:url value='/curex/admin' />" style="float:left; padding-top:2%; " >Previous Page</a>
      <% }
        if ("FAILED".equals(logged)) { %>
      <% } %>

</div>
<div class="container" style="margin-left:25%">
  <div class="row">

    <form:form method="POST" action="/curex/visualization" modelAttribute="visualToken_dto" name="myForm" onsubmit="return validateForm()" >


        <p style="font-weight:bold">Please, provide your Visualization credentials</p>
        <div class="container" style="border-style: solid; border-color:lightgray; padding: 20px 160px 20px 100px">


            <div class="form-group">
                <label for="visualToken">Token * <p style="font-size: 10px;  margin-bottom: 0">(mandatory field)</p></label>
                <form:input path="visualToken" id="formVisualToken" cssClass="form-control" />
                <td> <label class="message" id="formVisualToken_message"></td>
            </div>


         </div>

        <br>
        <br>
      <form:button class="btn btn-primary" id="submitButton" >Proceed</form:button>

    </form:form>

  </div>

  <div class="row">
    <% Object status = session.getAttribute("visualToken");
      if ("OK".equals(status)) { %>
    <div class="alert alert-success" role="alert">

    </div>
    <% }
      if ("FAILED".equals(status)) { %>
      <div class="alert alert-danger" role="alert">
        Unrecognized token.
      </div>
    <% } %>
  </div>

</div>

<script src="webjars/bootstrap/4.1.3/js/bootstrap.min.js"></script>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
<script src="https://code.jquery.com/ui/1.11.1/jquery-ui.min.js"></script>

</body>
</html>