package adt.mainnode.entity.changed;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;

import java.text.ParseException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import adt.mainnode.identity.SnapshotIdentity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.time.DateUtils;

import java.util.Date;

import java.util.List;
import java.util.ArrayList;

@Entity
@Data
@NoArgsConstructor
public class PortChange {

    @Id
    @Column(name = "port")
    String port;

    @JsonProperty("protocol")
    String protocol;

    @JsonProperty("service")
    String service;

    @JsonProperty("service_version")
    String service_version;

    @JsonProperty("status")
    String status;

    public static PortChange createPortChange(String port, String protocol, String service,
                                              String service_version, String status) {

        PortChange portChange = new PortChange();

        portChange.setPort(port);
        portChange.setProtocol(protocol);
        portChange.setService(service);
        portChange.setService_version(service_version);
        portChange.setStatus(status);

        return portChange;
    }


}
