package adt.mainnode.identity;

import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Id;

import java.io.Serializable;

@Embeddable
@Data
@NoArgsConstructor
public class ScanConfigIdentity implements Serializable{

    @Id
    @Column(name = "nodeId")
    private String nodeId;

    @Id
    @Column(name = "vlanName")
    private String vlanName;

    public static ScanConfigIdentity createScanConfigIdentity(String nodeId, String vlanName) {
        ScanConfigIdentity scanConfigIdentity = new ScanConfigIdentity();
        scanConfigIdentity.setNodeId(nodeId);
        scanConfigIdentity.setVlanName(vlanName);

        return scanConfigIdentity;
    }
}
