package adt.mainnode.repository;


import adt.mainnode.entity.Host;
import adt.mainnode.entity.ScanInfo;
import adt.mainnode.identity.HostIdentity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface HostRepository extends JpaRepository<Host, HostIdentity> {

    List<Host> findAllBySnapshotId(String snapshotId);
    List<Host> findAllByVlanName(String vlanName);
    List<Host> findAllByVlanNameAndSnapshotId(String vlanName, String snapshotId);
    List<Host> findAllByIp(String ip);
    List<Host> findAllByIpAndMac(String ip, String mac);

}
