package adt.mainnode.repository;


import adt.mainnode.entity.Host;
import adt.mainnode.entity.Port;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Set;

public interface PortRepository extends JpaRepository<Port, Integer> {

    List<Port> findAllBySnapshotId(String snapshotId);

    List<Port> findAllByIpAndVlanNameAndSnapshotId(String ip, String vlanName, String snapshotId);

}
