<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<html lang="en">
<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <link href="webjars/bootstrap/4.1.3/css/bootstrap.min.css" rel="stylesheet">
  <title>SPARQL Query</title>
</head>
<body>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>

<script language="javascript">

function validateForm()
{

   var flag = true;

   var names = ["formQuery", "formToken"];

   var forms = document.forms["myForm"];

   names.forEach(function(name) {

     var x = forms[name].value;

     if(x==null || x==""){

         flag = false;

         document.getElementById(name+'_message').style.visibility="visible";
         document.getElementById(name+'_message').style.color="crimson";
         document.getElementById(name+'_message').innerHTML="This field must not be empty.";
         document.getElementById(name).style.borderColor="red";

     }else{
         document.getElementById(name+'_message').style.visibility="";
          document.getElementById(name+'_message').style.color="";
          document.getElementById(name+'_message').innerHTML="";
          document.getElementById(name).style.borderColor="";
      }
   });

    return flag;

}

$(function() {

    var tokenflag = document.getElementById("span_id").innerHTML;

    console.log(tokenflag);

    if(tokenflag == "true"){

        document.getElementById('formToken_message').style.visibility="visible";
         document.getElementById('formToken_message').style.color="crimson";
         document.getElementById('formToken_message').innerHTML="The provided token was not recognized as valid.";
         document.getElementById('formToken').style.borderColor="red";
    }else{
        document.getElementById('formToken_message').style.visibility="";
         document.getElementById('formToken_message').style.color="";
         document.getElementById('formToken_message').innerHTML="";
         document.getElementById('formToken').style.borderColor="";
    }

});

</script>

<div class="jumbotron">
  <h1 id="signHeader1">SPARQL query menu</h1>
</div>
<div class="container">
  <div class="row">

    <form:form method="POST" action="/curex/query" modelAttribute="query" name="myForm" onsubmit="return validateForm()" >

      <div class="form-group">
        <label for="query">Your SPARQL query * <p style="font-size: 10px;  margin-bottom: 0">(mandatory field)</p></label>
        <br>
        <textarea id="formQuery" name="query">${query.query}</textarea>
        <br>
        <td> <label class="message" id="formQuery_message"></td>

      </div>


      <div class="form-group">
              <label for="type">Type</label>
              <br>
              <form:select path="type" id="formType">
        <br>
                  <form:options items="${file_types}" />
              </form:select>

      </div>


      <div class="form-group">
        <label for="token">Token * <p style="font-size: 10px;  margin-bottom: 0">(mandatory field)</p></label>
        <br>

        <form:input id="formToken" path="token" />
        <br>
        <td> <label class="message" id="formToken_message"></td>

      </div>

      <form:button class="btn btn-primary" id="submitButton" >Send query</form:button>

    </form:form>

    <span id="span_id" style="display: none">${unrec_token}</span>


  </div>


</div>

<script src="webjars/bootstrap/4.1.3/js/bootstrap.min.js"></script>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
<script src="https://code.jquery.com/ui/1.11.1/jquery-ui.min.js"></script>

</body>
</html>